Index: trunk/admin/template/goto/theme/roma/theme.css
===================================================================
--- trunk/admin/template/goto/theme/roma/theme.css	(revision 4985)
+++ trunk/admin/template/goto/theme/roma/theme.css	(revision 5096)
@@ -2,7 +2,7 @@
 body, h3, dt, h2, .throw, .content, label,
 input.rateButtonSelected /* <= why IE doesn't inherit this ? */ { color:#666; }
-INPUT, select, textarea { color:#999; background-color: #444; }  
+INPUT, select, textarea { color:#999; background-color: #444; }
 option[disabled] { background-color: #999; color: #444; }
-input[type="radio"], input[type="checkbox"] { background-color: transparent; }  
+input[type="radio"], input[type="checkbox"] { background-color: transparent; }
 /* INPUT[type="checkbox"], INPUT[type="radio"]
 { color:#999; background-color: #eee; }  */
@@ -16,5 +16,5 @@
 .content .errors { color: #f33; border:0; background-color: transparent;
 padding:5px 60px 0pt 10pt; min-height: 48px; text-align:left; font-weight:bold; background-position:left top;  }
-#copyright { color:#666; margin:60px auto 0px 240px; text-align:center; 
+#copyright { color:#666; margin:60px auto 0px 240px; text-align:center;
 padding-bottom: 15px; }
 .header_notes { background: transparent url(../../icon/note.png) no-repeat right top;
@@ -28,5 +28,5 @@
 padding-top: 0; min-height: 100%; width:100%; position:absolute; left:0px; }
 #headbranch { width: 233px; height: 240px; margin: 0; padding: 0;
-position:absolute; left:0px; top:0px; z-index: 0; 
+position:absolute; left:0px; top:0px; z-index: 0;
 background:transparent url(images/top-left-bg.jpg) no-repeat scroll left top; }
 #theHeader { min-height:105px; margin: 0; padding: 0;
@@ -35,13 +35,13 @@
 .throw, .row1 { background-color:#111; }
 .throw em { font-style: normal; color: #ff3363; }
-#content { background: #222 url(images/fillet.png) repeat-x top left; min-height: 466px; margin-top: 9px; }
-.content { padding:5px 5px 5px 5px; margin: 0 10px 0 248px; z-index:99; }
+#content { min-height: 466px; margin-top: 9px; }
+.content { padding:0 5px 5px; margin: 0 10px 0 248px; z-index:99; }
 .content h3 { font-size:20px; letter-spacing:-0.4px; margin:0 20px 12px 0;
  text-align:center; background:none; border: 0; }
 .content h3 ~ h3{ margin-top: 40px; }
 .content h4 { font-size:14px; text-align:left; padding:3px; margin: 2px;}
-/*.content h2:before, .content h2:after, */ 
-.content h2 { 
-letter-spacing:2px; margin-right:30px; text-align:right; color: #666; 
+/*.content h2:before, .content h2:after, */
+.content h2 {
+letter-spacing:2px; margin-right:30px; text-align:right; color: #666;
 text-transform:none; font-weight:bold; padding-left:20px; width:54%; }
 .content h2:lang(en) { text-transform:capitalize; }
@@ -60,7 +60,7 @@
 background-repeat:no-repeat; color:#444; cursor:pointer; font-size:110%; overflow:hidden; padding:8px 41px;}
 .instructionBlockHeaderCollapsed span, .instructionBlockHeaderExpanded span {border-bottom: 1px solid #444; }
- .instructionBlockHeaderCollapsed:hover span, .instructionBlockHeaderExpanded:hover span, 
+ .instructionBlockHeaderCollapsed:hover span, .instructionBlockHeaderExpanded:hover span,
  .instructionBlockHeaderCollapsed:focus span, .instructionBlockHeaderExpanded:focus span { border-bottom-color: #111; }
- 
+
 .instructionBlockHeaderCollapsed { background-image: url(../../icon/expand.png);}
 .instructionBlockHeaderExpanded { background-image: url(../../icon/collapse.png);}
@@ -74,5 +74,5 @@
 /* .throw, */ td h3 {
  background-image: url(images/fillet.png); background-repeat: repeat-x; }
-/* borders */ 
+/* borders */
 fieldset { border: 1px solid #666; }
 INPUT, SELECT, TEXTAREA { border: 1px solid #666; }
@@ -80,6 +80,6 @@
 TEXTAREA { cursor:text; font-size: 13px; }
 .content UL.thumbnails SPAN.wrap2 {
-  border: 1px solid #aaaaaa;	/* thumbnails border color and style */
-  border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */
+  border: 1px solid #aaaaaa;  /* thumbnails border color and style */
+  border-radius: 4px 4px; /* round corners with CSS3 compliant browsers */
 }
 .tagSelection label { padding-right:12px; }
@@ -96,6 +96,6 @@
   font-size: 11px; font-weight: normal; letter-spacing: 0;
   color : #F33; text-decoration: none; border: 0; }
-a.Piwigo:hover  span.Piwigo  { 
-  border-bottom: 1px solid #FF3363; 
+a.Piwigo:hover  span.Piwigo  {
+  border-bottom: 1px solid #FF3363;
 }
 
@@ -108,6 +108,6 @@
 .content .navigationBar {color:#666;}
 ul.actions, .content form#waiting  {text-align:center;}
-h2 { display:block; font-size:28px; letter-spacing:-1px; 
-margin:0 20px; height:104px; overflow:hidden; padding:0; position:absolute; 
+h2 { display:block; font-size:28px; letter-spacing:-1px;
+margin:0 20px; height:104px; overflow:hidden; padding:0; position:absolute;
 right:0; text-align:right; top:0; width:770px; }
 .header_msgs { background:transparent url(images/header_msgs-bg.gif) repeat scroll right top;
@@ -115,25 +115,27 @@
 text-align:center; top:0; width:100%; z-index:99; }
 .HelpActions a { border:0; margin:-14px 14px 0 0; position:absolute; right:0; }
-.HelpActions li {list-style-image:none; list-style-position:outside; 
+.HelpActions li {list-style-image:none; list-style-position:outside;
 list-style-type:none; text-align:center; text-indent:0pt; }
 #content.content div.comment a.illustration{ margin-right: 30px;}
 /* tabsheets are often used in admin  pages => No specific css files */
-.tabsheet { 
-background-color:transparent; border:0; display:table; float:right; 
-font-family:verdana,arial,helvetica,sans-serif; font-size:8px; line-height:14px; 
+.tabsheet {
+background-color:#111111; border:0px none; border-bottom:1px solid #ff3363; display:table;
+font-family:verdana,arial,helvetica,sans-serif; font-size:8px;
 list-style-image:none; padding: 0; position:relative; text-decoration:none;
-top:-2px; white-space:nowrap; margin: 0 28px 0 0;}
-.tabsheet li { background:transparent url(images/inactive_tab.png) no-repeat scroll left 0;
-float:left; margin:0 2px 0 0; overflow:hidden; text-align:right; }
-.tabsheet a { 
-background:transparent url(images/inactive_tab2.png) no-repeat scroll right 0px;
+top:-2px; white-space:nowrap; margin: 0 0 0 -5px; padding-left:10px;
+width:100%; }
+.tabsheet li { background:#222222; float:left; margin:0 6px 0 0; overflow:hidden; text-align:right; border:1px solid #ff3363; border-bottom:none; position:relative; top:11px; }
+.tabsheet a {
 color:#666; display:block; font-size:11px; border:0;
-font-weight:bold; height:18px; overflow:hidden; padding:8px 7px 5px 18px; line-height: 18px;
+font-weight:bold; overflow:hidden; padding:6px;
 text-align:right; text-decoration:none; margin: 0; }
 .tabsheet a:first-letter { text-transform:capitalize; }
-.tabsheet li:hover, .tabsheet li.selected_tab  { 
-background:transparent url(images/active_tab.png) no-repeat scroll left 0px; }
-.tabsheet a:hover, .tabsheet li.selected_tab  a { color: #F36;
-background:transparent url(images/active_tab2.png) no-repeat scroll right 0px; }
+.tabsheet li.selected_tab  {
+  border-bottom:1px solid #222222;
+}
+.tabsheet li:hover, .tabsheet li.selected_tab  {
+margin-top:4px; padding-bottom:3px; padding-top:3px; top:1px;
+ }
+.tabsheet a:hover, .tabsheet li.selected_tab  a { color: #F36; }
 .tabsheet a span { background-color:#222; display:block; font-size:10px; margin-right:2px; padding:0 3px 0 1px; }
 #debug { margin-left:248px; font-size:12px; }
@@ -143,5 +145,5 @@
 border:0; display:inline; float:left; left:0; margin: 0 0 0 35px; min-height:475px; height:475px; /* should be 477 */
 padding:0; width:207px; z-index:99; text-align: left; }
-#menubar ul.scroll { height:163px; margin-right:10px; overflow-y:auto; 
+#menubar ul.scroll { height:163px; margin-right:10px; overflow-y:auto;
  /* Only IE family supports colored scrollbar */
  scrollbar-face-color: #222; scrollbar-shadow-color: #444; scrollbar-highlight-color: #000;
@@ -149,11 +151,11 @@
  scrollbar-arrow-color: #ff3333; }
 
-#menubar dd { 
-background: transparent url(images/menubar-detail.png) repeat-y top left; 
+#menubar dd {
+background: transparent url(images/menubar-detail.png) repeat-y top left;
 margin: 10px 0 0 0; padding: 0; height:232px; }
 #menubar dl {
-background:transparent url(images/menuBoxTop_new.png) no-repeat scroll left top; 
+background:transparent url(images/menuBoxTop_new.png) no-repeat scroll left top;
 width: 207px; border:0; margin: 0; padding: 0; display: block; min-height:35px; }
-#menubar dl.first { 
+#menubar dl.first {
 background:transparent url(images/menubar-top.png) no-repeat scroll left 1px; }
 #menubar dt { margin: 0; display: block; background: none; left:10px; font-weight:bold;
@@ -204,5 +206,5 @@
 color:#999; border-color: #666; }
 .bigbutton { background:transparent url(images/quickLocalSync_inactiv.png) no-repeat scroll left top; display: block;
-color:#111; font-size:28px; height:161px; margin: 0 20px 0 auto; padding:0 18px 0; text-align:center; width:625px; 
+color:#111; font-size:28px; height:161px; margin: 0 20px 0 auto; padding:0 18px 0; text-align:center; width:625px;
 position:relative;  z-index: 50;}
 .bigtext { display:block; font-weight:bold; left:225px; position:relative; top:35px; width:320px;  z-index: 55; cursor:pointer; }