Index: extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm
===================================================================
--- extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm	(revision 5041)
+++ extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm	(revision 5103)
@@ -291,5 +291,5 @@
                 $self->imageviewer_item_refresh(0);
             }
-            $self->OnUpdateNotebook;
+
             $self->OnUpdateToolbar;
             $event->Skip;
@@ -334,5 +334,5 @@
     $self->piwigo_photo_properties(
         {
-            $main::CAPTION => { label=>gettext("Photo caption")},
+            $main::CAPTION => { label=>gettext("Caption")},
             $main::PHOTO_PROPERTIES_CAPTION => { 
                 value => sub {
@@ -371,5 +371,5 @@
                 frame_callback => sub { $self->imageviewer_item_refresh(1); },
             },
-            $main::PRIVACY_LEVEL => { label=>gettext("Who can see the photo?")},
+            $main::PRIVACY_LEVEL => { label=>gettext("Who can see?")},
             $main::PHOTO_PROPERTIES_PRIVACY_LEVEL => {
                 selection => sub {
@@ -382,11 +382,7 @@
             $main::PHOTO_PROPERTIES_NB => {
                 texts => [
-                    gettext("Photo properties"),
+                    gettext("Properties"),
                     gettext("Tags")
                 ], 
-                multi_texts => [
-                    sub { sprintf(gettext("Properties of the %s selected photos"), $self->imageviewer->GetSelectectItemsCount ) },
-                    sub { sprintf(gettext("Tags of the %s selected photos"), $self->imageviewer->GetSelectectItemsCount) },
-                ],
             },
             $main::PHOTO_PROPERTIES_UPLOAD => { label=>gettext("Upload to Piwigo") },
@@ -1286,23 +1282,4 @@
 }
 
-sub OnUpdateNotebook{
-    my( $self ) = @_;
-
-    # Notebook page caption change according to photo selection
-    # include count when selection is multiple
-    my $texts;
-    if(!$self->multi_selection_mode){
-        $texts = $self->piwigo_photo_properties->{$main::PHOTO_PROPERTIES_NB}->{texts};
-    }
-    else {
-        $texts = [ map { $_->() } @{$self->piwigo_photo_properties->{$main::PHOTO_PROPERTIES_NB}->{multi_texts}} ];
-    }
-
-    $texts||=[];
-    for(my $i=0; $i < scalar @$texts ; $i++){
-        $self->dlg_piwigo_photo_properties->{notebook}->SetPageText($i, $texts->[$i]);
-    }
-
-}
 
 sub OnRemoveImages {
@@ -1321,4 +1298,7 @@
         $self->piwigo_photo_properties_tags->ClearAllSelection;
         $self->imagelist->SetCurrentImage(-1);
+    }
+    if(!$self->multi_selection_mode){
+        $self->OnUpdateSingleSelectionModeUI;
     }
 
@@ -1590,4 +1570,5 @@
     # for batch mode : reset the batch buffer if single selection
     if($self->multi_selection_mode){
+        $self->OnUpdateMultiSelectionModeUI;
         $self->imagelist->SetImageSelectionTags([]);
         $self->imagelist->image_selection_privacy_level(-1);
@@ -1597,4 +1578,7 @@
         $self->imagelist->image_selection_create_date(-1);
     }
+    else{
+        $self->OnUpdateSingleSelectionModeUI;
+    }
     # process image_preview in idle time
     # and when current event is processed
@@ -1613,4 +1597,29 @@
     scalar @{$self->imagelist->image_selection} > 1;
 }
+
+sub OnUpdateMultiSelectionModeUI{
+    my( $self ) = @_;
+
+
+    $self->dlg_piwigo_photo_properties->{_multi_selection_mode_panel}{_text1}->SetLabel(
+        sprintf(gettext("You have selected a batch of %s photos"), $self->imageviewer->GetSelectectItemsCount )
+    );
+
+    $self->dlg_piwigo_photo_properties->{_multi_selection_mode_panel}{_text2}->SetLabel(
+        gettext("Changes apply to the whole batch")
+    );
+
+    $self->dlg_piwigo_photo_properties->{_multi_selection_mode_panel}->Show(1);
+    $self->dlg_piwigo_photo_properties->Layout;
+}
+
+sub OnUpdateSingleSelectionModeUI{
+    my( $self ) = @_;
+
+    $self->dlg_piwigo_photo_properties->{_multi_selection_mode_panel}->Show(0);
+    $self->dlg_piwigo_photo_properties->Layout;
+
+}
+
 
 sub set_preview_image {
@@ -1682,4 +1691,12 @@
     ) if !$self->imageviewer->GetItemCount;
 
+    # reset previous selection
+    $self->imagelist->image_selection(
+        []
+    );
+
+    if(!$self->multi_selection_mode){
+        $self->OnUpdateSingleSelectionModeUI;
+    }
 
     $self->image_preview->Refresh;