Index: extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5105)
@@ -563,6 +563,7 @@
           $display = 'red';
         }
-        
       }
+      else $display = '';
+      
       /* Plugin version inserted */
       $template->assign(
Index: extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 5105)
@@ -150,4 +150,6 @@
             Evolution 1488 - When an admin creates an account an information email is always sent to created user
             Code simplification - All variables are changed from "UserAdvManager" to "UAM"
+
+-- 2.14.1 : Bug 1497 fixed - Using users tracker without Ghost Tracker is now OK
 */
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 5105)
@@ -101,19 +101,4 @@
 $lang['UAM_tipsTitle_d'] = 'Tipps und verschiedene Anwendungsbeispiele';
 $lang['UAM_userlistTitle'] = 'Tracking Benutzer';
-$lang['UAM_userlistTitle_d'] = 'Diese Seite gibt es zur Information an den Administrator. Es zeigt eine Liste von allen Nutzern auf der Galerie zeigt das Datum und die Anzahl der Tage seit dem letzten Besuch registriert. Die Liste ist in aufsteigender Reihenfolge der Anzahl der Tage sortiert.
-<br><br>
-Wenn der Geist Tracker aktiv ist, wird die Anzahl der Tage ohne einen Besuch wie der folgende Farbcode nach dem Maximum in der Geist Tracker Optionen:
-<br>
-- <b style=&quot;color: lime;&quot;>Grün</b> : Wenn der Benutzer hat die Galerie <b style=&quot;color:lime;&quot;><u>weniger als 50%</u></b> besucht der angegebene H&ouml;chstzahl in der Geist-Tracker.<br>
-- <b style=&quot;color: orange;&quot;>Orange</b> : Wenn der Benutzer hat die Galerie <b style=&quot;color:orange;&quot;><u>zwischen 50% und 99%</u></b> besucht der angegebene H&ouml;chstzahl in der Geist-Tracker.<br>
-- <b style=&quot;color: red;&quot;>Rot</b> : Wenn der Benutzer hat die Galerie <b style=&quot;color:red;&quot;><u>f&uuml;r mehr als 100%</u></b> besucht der angegebene H&ouml;chstzahl in der Geist-Tracker. <b><u>In diesem Fall muss der Benutzer sich auch in der Geist-Tracker-Tabelle.</u></b><br>
-<br>
-Beispiel:
-<br>
-Die Höchstdauer von Geist Tracker ist so konfiguriert, dass 100 Tage.
-<br>
-Ein Benutzer wird in grün angezeigt, wenn er die Galerie für weniger als 50 Tagen besucht haben, in orange, wenn sein letzter Besuch stattgefunden hat zwischen 50 und 99 Tage und rot für 100 Tage und mehr.
-<br><br>
-<b>HINWEIS</b> : Die Liste wird nicht angezeigt, die nicht validiert ihrer Registrierung (falls die M&ouml;glichkeit der Validierung der Registrierung aktiviert ist). Diese Benutzer werden dann in besonderer Weise in der &quot;Tracking Validierungen verwaltet&quot; aus.';
 $lang['UAM_usermanTitle'] = 'Tracking Validierungen';
 $lang['UAM_usermanTitle_d'] = 'Wenn die Begrenzung der Frist für die Anmeldung aktiviert ist, finden Sie weiter unten die Liste der Benutzer, deren Validierung Eintragung erwartet wird, <b style=&quot;text-decoration: underline;&quot;>ob oder nicht</b> sind sie in der Zeit zu validieren.<br><br>
@@ -144,3 +129,22 @@
 Durch die Deaktivierung dieser Option (Standard), nur die E-Mail-Informationen gesendet werden (wenn &quot;Informations-E-Mail an Benutzer&quot; aktiviert ist).';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.14.1
+$lang['UAM_userlistTitle_d'] = 'Diese Seite gibt es zur Information an den Administrator. Es zeigt eine Liste von allen Nutzern auf der Galerie zeigt das Datum und die Anzahl der Tage seit dem letzten Besuch registriert. Die Liste ist in aufsteigender Reihenfolge der Anzahl der Tage sortiert.
+<br><br>
+<b><u>Erst wenn der Geist Tracker aktiv ist</u></b>, wird die Anzahl der Tage ohne einen Besuch wie der folgende Farbcode nach dem Maximum in der Geist Tracker Optionen:
+<br>
+- <b style=&quot;color: lime;&quot;>Grün</b> : Wenn der Benutzer hat die Galerie <b style=&quot;color:lime;&quot;><u>weniger als 50%</u></b> besucht der angegebene H&ouml;chstzahl in der Geist-Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Orange</b> : Wenn der Benutzer hat die Galerie <b style=&quot;color:orange;&quot;><u>zwischen 50% und 99%</u></b> besucht der angegebene H&ouml;chstzahl in der Geist-Tracker.<br>
+- <b style=&quot;color: red;&quot;>Rot</b> : Wenn der Benutzer hat die Galerie <b style=&quot;color:red;&quot;><u>f&uuml;r mehr als 100%</u></b> besucht der angegebene H&ouml;chstzahl in der Geist-Tracker. <b><u>In diesem Fall muss der Benutzer sich auch in der Geist-Tracker-Tabelle.</u></b><br>
+<br>
+Beispiel:
+<br>
+Die Höchstdauer von Geist Tracker ist so konfiguriert, dass 100 Tage.
+<br>
+Ein Benutzer wird in grün angezeigt, wenn er die Galerie für weniger als 50 Tagen besucht haben, in orange, wenn sein letzter Besuch stattgefunden hat zwischen 50 und 99 Tage und rot für 100 Tage und mehr.
+<br><br>
+<b>HINWEIS</b> : Die Liste wird nicht angezeigt, die nicht validiert ihrer Registrierung (falls die M&ouml;glichkeit der Validierung der Registrierung aktiviert ist). Diese Benutzer werden dann in besonderer Weise in der &quot;Tracking Validierungen verwaltet&quot; aus.';
+// --------- End: New or revised $lang ---- from version 2.14.1
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 5105)
@@ -101,19 +101,4 @@
 $lang['UAM_tipsTitle_d'] = 'Tips and various examples of use';
 $lang['UAM_userlistTitle'] = 'Tracking users';
-$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
 $lang['UAM_usermanTitle'] = 'Tracking validations';
 $lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
@@ -144,3 +129,22 @@
 By disabling this option (default), only the email information is sent (if &quot;Information email to user&quot; is enabled).';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.14.1
+$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
+<br><br>
+<b><u>Only when the Ghost Tracker is active</u></b>, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
+<br>
+- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
+<br>
+Example :
+<br>
+The maximum period of Ghost Tracker is configured to 100 days.
+<br>
+A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
+<br><br>
+<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
+// --------- End: New or revised $lang ---- from version 2.14.1
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 5105)
@@ -101,19 +101,4 @@
 $lang['UAM_tipsTitle_d'] = 'Consejos y diversos ejemplos de uso de';
 $lang['UAM_userlistTitle'] = 'Seguimiento de los usuarios';
-$lang['UAM_userlistTitle_d'] = 'Esta página es para información al administrador. Se muestra una lista de todos los usuarios registrados en la galería que indique la fecha y el número de días transcurridos desde su última visita. La lista está ordenada por orden ascendente del número de días.
-<br><br>
-Cuando el Ghost Tracker está activo, el número de días sin una visita aparece como el código de color siguientes, según el máximo establecido en las opciones de Ghost Tracker:
-<br>
-- <b style=&quot;color: lime;&quot;>Verde</b> : Cuando el usuario ha visitado la galería de <b style=&quot;color: lime;&quot;><u>menos del 50%</u></b> de la máxima indicada en el Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>Naranja</b> : Cuando el usuario ha visitado la galería de <b style=&quot;color: orange;&quot;><u>entre 50% y 99%</u></b> de la máxima indicada en el Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>Rojo</b> : Cuando el usuario ha visitado la galería de <b style=&quot;color: red;&quot;><u>por más de 100%</u></b> de la máxima indicada en el Ghost Tracker. <b><u>En este caso, el usuario también debe aparecer en el cuadro Ghost Tracker.</u></b><br>
-<br>
-Ejemplo :
-<br>
-El período máximo de Ghost Tracker está configurado para 100 días.
-<br>
-Un usuario aparecerá en verde si visitó la galería de menos de 50 días, en naranja si su última visita tuvo lugar entre el 50 y 99 días y el rojo durante 100 días o más.
-<br><br>
-<b>NOTA</b> : La lista no muestra que no han validado su registro (si la opci&oacute;n de validar el registro est&aacute; activado). Estos usuarios son administrados despu&eacute;s de una manera especial en &quot;Seguimiento de las Validaciones&quot; ficha.';
 $lang['UAM_usermanTitle'] = 'Seguimiento de las Validaciones';
 $lang['UAM_usermanTitle_d'] = 'Al limitar el plazo de inscripción está habilitada, podrás encontrar más adelante la lista de usuarios cuya validación de registro es de esperar, <b style=&quot;text-decoration: underline;&quot;>si o no</b> que están en el tiempo para validar.<br><br>
@@ -144,3 +129,22 @@
 Al deshabilitar esta opci&oacute;n (por defecto), s&oacute;lo la informaci&oacute;n que se env&iacute;e (si &quot;Informaci&oacute;n por correo electr&oacute;nico para el usuario&quot; est&aacute; activado).';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.14.1
+$lang['UAM_userlistTitle_d'] = 'Esta p&aacute;gina es para informaci&oacute;n al administrador. Se muestra una lista de todos los usuarios registrados en la galer&iacute;a que indique la fecha y el n&uacute;mero de d&iacute;as transcurridos desde su &uacute;ltima visita. La lista est&aacute; ordenada por orden ascendente del n&uacute;mero de d&iacute;as.
+<br><br>
+<b><u>S&oacute;lo cuando el Ghost Tracker est&aacute; activo</u></b>, el n&uacute;mero de d&iacute;as sin una visita aparece como el c&oacute;digo de color siguientes, seg&uacute;n el m&aacute;ximo establecido en las opciones de Ghost Tracker:
+<br>
+- <b style=&quot;color: lime;&quot;>Verde</b> : Cuando el usuario ha visitado la galer&iacute;a de <b style=&quot;color: lime;&quot;><u>menos del 50%</u></b> de la m&aacute;xima indicada en el Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Naranja</b> : Cuando el usuario ha visitado la galer&iacute;a de <b style=&quot;color: orange;&quot;><u>entre 50% y 99%</u></b> de la m&aacute;xima indicada en el Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>Rojo</b> : Cuando el usuario ha visitado la galer&iacute;a de <b style=&quot;color: red;&quot;><u>por más de 100%</u></b> de la m&aacute;xima indicada en el Ghost Tracker. <b><u>En este caso, el usuario tambi&eacute;n debe aparecer en el cuadro Ghost Tracker.</u></b><br>
+<br>
+Ejemplo :
+<br>
+El per&iacute;odo m&aacute;ximo de Ghost Tracker est&aacute; configurado para 100 d&iacute;as.
+<br>
+Un usuario aparecer&aacute; en verde si visit&oacute; la galer&iacute;a de menos de 50 d&iacute;as, en naranja si su &uacute;ltima visita tuvo lugar entre el 50 y 99 d&iacute;as y el rojo durante 100 d&iacute;as o m&aacute;s.
+<br><br>
+<b>NOTA</b> : La lista no muestra que no han validado su registro (si la opci&oacute;n de validar el registro est&aacute; activado). Estos usuarios son administrados despu&eacute;s de una manera especial en &quot;Seguimiento de las Validaciones&quot; ficha.';
+// --------- End: New or revised $lang ---- from version 2.14.1
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 5105)
@@ -102,19 +102,4 @@
 $lang['UAM_tipsTitle_d'] = 'Astuces et exemples divers d\'utilisation';
 $lang['UAM_userlistTitle'] = 'Suivi des utilisateurs inscrits';
-$lang['UAM_userlistTitle_d'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
-<br><br>
-Lorsque le Ghost Tracker est actif, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
-<br>
-- <b style=&quot;color: lime;&quot;>En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: lime;&quot;><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: orange;&quot;><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: red;&quot;><u>depuis 100% et plus</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
-<br>
-Exemple :
-<br>
-Le délai maximum du Ghost Tracker est configuré à 100 jours.
-<br>
-Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
-<br><br>
-<b>A NOTER</b> : La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de validation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet &quot;Suivi des validations&quot;.';
 $lang['UAM_usermanTitle'] = 'Suivi des validations';
 $lang['UAM_usermanTitle_d'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de validation d\'inscription <b style=&quot;text-decoration: underline;&quot;>qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour valider son inscription. Dans ce cas, la clé de validation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de validation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir valider son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la validation.<br><br>Dans cette vue, vous pouvez :
@@ -141,3 +126,22 @@
 En désactivant cette option (mode par défaut), seul l\'email d\'information est envoyé (si la fonction &quot;Email d\'information &agrave; l\'utilisateur&quot; est activée).';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.14.1
+$lang['UAM_userlistTitle_d'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
+<br><br>
+<b><u>Uniquement lorsque le Ghost Tracker est actif</u></b>, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
+<br>
+- <b style=&quot;color: lime;&quot;>En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: lime;&quot;><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: orange;&quot;><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style=&quot;color: red;&quot;><u>depuis 100% et plus</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
+<br>
+Exemple :
+<br>
+Le délai maximum du Ghost Tracker est configuré à 100 jours.
+<br>
+Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
+<br><br>
+<b>A NOTER</b> : La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de validation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet &quot;Suivi des validations&quot;.';
+// --------- End: New or revised $lang ---- from version 2.14.1
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5105)
@@ -101,19 +101,4 @@
 /* TODO */$lang['UAM_tipsTitle_d'] = 'Tips and various examples of use';
 /* TODO */$lang['UAM_userlistTitle'] = 'Tracking users';
-/* TODO */$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
 /* TODO */$lang['UAM_usermanTitle'] = 'Tracking validations';
 /* TODO */$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
@@ -144,3 +129,23 @@
 Disabilitando questa opzione ((predefinito)), solo le informazioni e-mail viene inviata (se &quot;E-mail informazioni per l\'utente&quot; &egrave; abilitato).';
 // --------- End: New or revised $lang ---- from version 2.14.0
+
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.14.1
+/* TODO */$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
+<br><br>
+<b><u>Only when the Ghost Tracker is active</u></b>, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
+<br>
+- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
+<br>
+Example :
+<br>
+The maximum period of Ghost Tracker is configured to 100 days.
+<br>
+A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
+<br><br>
+<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
+// --------- End: New or revised $lang ---- from version 2.14.1
 ?>
Index: extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5105)
@@ -106,5 +106,4 @@
 /* UserList Tab */
 $lang['UserList_Title'] = 'Monitoraggio delgli utenti registrati';
-$lang['Tab_UserList'] = 'Monitoraggio delgli utenti';
 $lang['Nb_Days'] = 'Numero di giorni<br>dall\'ultima visita';
 // --------- End: New or revised $lang ---- from version 2.13.0
Index: extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5091)
+++ extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 5105)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.14.0
+Version: 2.14.1
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -71,11 +71,14 @@
   $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
 
-  if (isset($conf_UAM[17]) and $conf_UAM[17] == 'true' and !is_admin() and !is_a_guest())
-  {
-
-    $userid = get_userid($user['username']);
+  /* Admins and Guests are not tracked for Ghost Tracker or Users Tracker */
+  if (!is_admin() and !is_a_guest())
+  {
+    if ((isset($conf_UAM[17]) and $conf_UAM[17] == 'true') or (isset($conf_UAM[20]) and $conf_UAM[20] == 'true'))
+    {
+
+      $userid = get_userid($user['username']);
      	  
-    /* Looking for existing entry in last visit table */
-    $query = '
+      /* Looking for existing entry in last visit table */
+      $query = '
 SELECT *
   FROM '.USER_LASTVISIT_TABLE.'
@@ -83,19 +86,19 @@
 ;';
         
-    $count = mysql_num_rows(pwg_query($query));
+      $count = mysql_num_rows(pwg_query($query));
          
-    if ($count == 0)
-    {
-      /* If not, data are inserted in table */
-      $query = '
+      if ($count == 0)
+      {
+        /* If not, data are inserted in table */
+        $query = '
 INSERT INTO '.USER_LASTVISIT_TABLE.' (user_id, lastvisit, reminder)
 VALUES ('.$userid.', now(), "false")
 ;';
-      pwg_query($query);
-    }
-    else if ($count > 0)
-    {
-      /* If yes, data are updated in table */
-      $query = '
+        pwg_query($query);
+      }
+      else if ($count > 0)
+      {
+        /* If yes, data are updated in table */
+        $query = '
 UPDATE '.USER_LASTVISIT_TABLE.'
 SET lastvisit = now(), reminder = "false"
@@ -103,5 +106,6 @@
 LIMIT 1
 ;';
-      pwg_query($query);
+        pwg_query($query);
+      }
     }
   }