Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5117)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5118)
@@ -7,5 +7,5 @@
 
 /* UserManager Tab */
-$lang['Registration_Date'] = 'Data di registrazione';
+$lang['Registration_Date'] = 'Data d\'iscrizione';
 
 
@@ -20,5 +20,5 @@
 $lang['title_confirm_mail'] = 'Confermare la vostra iscrizzione';
 $lang['confirm_mail_page_title'] = 'Confermare l\'iscrizzione';
-$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il vostro indirizzo e-mail e per la registrazione sulla galleria. Buona visione!<br><br><br><br>';
+$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il vostro indirizzo Email e per l\'iscrizione sulla galleria. Buona visione!<br><br><br><br>';
 
 
@@ -33,5 +33,5 @@
 	$lang['reg_err_login5'] = 'Nome utente esiste già. Attenzione : il campo è insensibile alle maiuscole/minuscole.';
 $lang['reg_err_login6'] = 'Nome utente non deve contenere in caratteri seguenti: ';
-$lang['reg_err_login7'] = 'Il tuo provider di posta usa dominio di Email proibito. I dominii preibiti sono i seguenti: ';
+$lang['reg_err_login7'] = 'Il tuo provider di posta usa dominio di Email proibito. I domini preibiti sono i seguenti: ';
 $lang['UAM_empty_pwd'] = '[password vuota]';
 $lang['UAM_no_update_pwd'] = '[profilo aggiornato senza modifica della password]';
@@ -47,6 +47,6 @@
 $lang['%d_Mail_With_Key'] = '%d messaggio con il rinnovo della chiave è stato inviato';
 $lang['%d_Mails_With_Key'] = '%d messaggi con il rinnovo della chiave sono stati inviati';
-$lang['%d_Reminder_Sent'] = '%d messaggio di promemoria è stato inviato';
-$lang['%d_Reminders_Sent'] = '%d messaggi di promemoria sono stati inviati';
+$lang['%d_Reminder_Sent'] = '%d Email di rilancio è stato inviato';
+$lang['%d_Reminders_Sent'] = '%d Email di rilancio sono stati inviati';
 $lang['%d_Validated_User'] = '%d utente convalidato manualmente';
 $lang['%d_Validated_Users'] = '%d utenti convalidati manualmente';
@@ -55,6 +55,6 @@
 /* Action button names */
 $lang['Delete_selected'] = 'Cancellare';
-$lang['Mail_without_key'] = 'Promemoria senza chiave';
-$lang['Mail_with_key'] = 'Promemoria con chiave';
+$lang['Mail_without_key'] = 'Email di rilancio senza chiave';
+$lang['Mail_with_key'] = 'Email di rilancio con chiave';
 $lang['Force_Validation'] = 'Convalida forzata';
 
@@ -68,5 +68,5 @@
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
 $lang['LastVisit_Date'] = 'Data ultima visita';
-$lang['Reminder'] = 'E-mail di sollecito';
+$lang['Reminder'] = 'Email di rilancio';
 $lang['Reminder_Sent_OK'] = 'SI';
 $lang['Reminder_Sent_NOK'] = 'NO';
@@ -118,5 +118,5 @@
 $lang['Tab_Global'] = 'Configurazione';
 $lang['UAM_Title1'] = 'Impostare le restrizioni per le registrazioni';
-$lang['UAM_Title2'] = 'Impostare le conferme e validazioni di registrazione';
+$lang['UAM_Title2'] = 'Impostare le conferme e validazioni dell\'iscrizione';
 $lang['UAM_Title3'] = 'Impostare le registrazioni seguiti e altre opzioni';
 $lang['UAM_Title4'] = 'Suggerimenti ed esempi d\'utilizzo';
@@ -139,40 +139,40 @@
 $lang['UAM_MailExclusion_false'] = ' Disattivare (di default)';
 
-$lang['UAM_Mail_Info'] = 'E-mail informazioni per l\'utente:';
-$lang['UAM_Mail_Info_true'] = ' Consentire';
+$lang['UAM_Mail_Info'] = 'Email d\'informazione per l\'utente:';
+$lang['UAM_Mail_Info_true'] = ' Attivare';
 $lang['UAM_Mail_Info_false'] = ' Disattivare (di default)';
-$lang['UAM_MailInfo_Text'] = ' Personalizzazione e-mail informazioni:';
-$lang['UAM_Confirm_Mail'] = 'Conferma della registrazione:';
-$lang['UAM_Confirm_Mail_true'] = ' Consentire';
+$lang['UAM_MailInfo_Text'] = ' Personalizzare testo Email:';
+$lang['UAM_Confirm_Mail'] = 'Conferma dell\'iscrizione:';
+$lang['UAM_Confirm_Mail_true'] = ' Attivare';
 $lang['UAM_Confirm_Mail_false'] = ' Disattivare (di default)';
-$lang['UAM_ConfirmMail_Text'] = ' Personalizzare la mail di conferma:';
-$lang['UAM_Confirm_grpstat_notice'] = 'ATTENZIONE: Si consiglia di utilizzare sia il gruppo o lo statuto di convalida e non entrambi simultaneamente.';
-$lang['UAM_Confirm_Group'] = 'Gruppi di convalida<br>(Invia ------- non pregiudicare gruppo)';
-$lang['UAM_Confirm_Status'] = 'Convalida Statuti<br>(Invia ------- per mantenere il default di Piwigo)';
-$lang['UAM_No_Confirm_Group'] = 'Gruppo per gli utenti che non hanno convalidato la loro registrazione<br>';
+$lang['UAM_ConfirmMail_Text'] = ' Personalizzare testo Email di conferma:';
+$lang['UAM_Confirm_Group'] = 'Gruppi di convalida<br>(------- per non assegnare nessun gruppo)';
+$lang['UAM_Confirm_Status'] = 'Convalida Statuti<br>(Invia ------- per mantenere il valore di default di Piwigo)';
+$lang['UAM_Confirm_grpstat_notice'] = 'ATTENZIONE: Si consiglia di utilizzare o il gruppo o lo statuto di convalida ma non entrambi simultaneamente.';
+$lang['UAM_No_Confirm_Group'] = 'Gruppo per gli utenti che non hanno convalidato la loro iscrizione<br>';
 $lang['UAM_Validated_Group'] = 'Gruppo per gli utenti che hanno convalidato la loro iscrizione<br>';
-$lang['UAM_No_Confirm_Status'] = 'Di stato per gli utenti che non hanno convalidato la loro registrazione<br>';
+$lang['UAM_No_Confirm_Status'] = 'Stato per gli utenti che non hanno convalidato la loro iscrizione<br>';
 $lang['UAM_Validated_Status'] = 'Stato per gli utenti che hanno convalidato la loro iscrizione<br>';
-$lang['UAM_ValidationLimit_Info'] = 'Termine per la validazione di registrazione limitato';
-$lang['UAM_ConfirmMail_TimeOut_true'] = ' Consentire. Numero di giorni fino alla scadenza: ';
+$lang['UAM_ValidationLimit_Info'] = 'Termine per la validazione dell\'iscrizione limitato';
+$lang['UAM_ConfirmMail_TimeOut_true'] = ' Attivare. Numero di giorni per la scadenza: ';
 $lang['UAM_ConfirmMail_TimeOut_false'] = ' Disattivare (di default)';
-$lang['UAM_ConfirmMail_Remail'] = 'Promemoria visitatori non convalidate';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Consentire';
+$lang['UAM_ConfirmMail_Remail'] = 'Email di rilancio ai visitatori non convalidati';
+$lang['UAM_ConfirmMail_Remail_true'] = ' Attivare';
 $lang['UAM_ConfirmMail_Remail_false'] = ' Disattivare (di default)';
-$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalizzare il messaggio di sollecito <b><u>con</u></b> nuova rigenerazione di convalida delle chiavi.';
-$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzazione del messaggio di sollecito <b><u>senza</u></b> rigenerazione della convalida delle chiavi.';
-
-$lang['UAM_GhostTracker'] = 'Gestione fantasmi visitatori (Ghost Tracker)';
-$lang['UAM_GhostTracker_true'] = ' Consentire. Durata massima in giorni tra due visite: ';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalizzare l\'Email di rilancio <b><u>con</u></b> rigenerazione di una nuova chiave di convalida.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzare l\'Email di rilancio <b><u>senza</u></b> rigenerazione di una nuova chiave di convalida.';
+
+$lang['UAM_GhostTracker'] = 'Gestione degli ospiti fantasmi (Ghost Tracker)';
+$lang['UAM_GhostTracker_true'] = ' Attivare. Durata massima di giorni tra due visite: ';
 $lang['UAM_GhostTracker_false'] = ' Disattivare (di default)';
-$lang['UAM_GhostTracker_ReminderText'] = 'Personalizzazione richiamo di messaggi del Ghost Tracker';
+$lang['UAM_GhostTracker_ReminderText'] = 'Testo di rilancio personalizzato';
 $lang['UAM_LastVisit'] = ' Tracciamento utenti registrati';
-$lang['UAM_LastVisit_true'] = ' Consentire';
+$lang['UAM_LastVisit_true'] = ' Attivare';
 $lang['UAM_LastVisit_false'] = ' Disattivare (di default)';
-$lang['UAM_No_Comment_Anonymous'] = 'Nickname obbligatoria per i commenti degli ospiti';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Consentire';
+$lang['UAM_No_Comment_Anonymous'] = 'Commenti : Pesudo obbligatorio per gli ospiti';
+$lang['UAM_No_Comment_Anonymous_true'] = ' Attivare';
 $lang['UAM_No_Comment_Anonymous_false'] = ' Disattivare (di default)';
 
-$lang['UAM_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del Piwigo (Inglese)';
+$lang['UAM_Tips1'] = 'Registrazioni con convalida dell\'Email e messaggio di avviso nella home page del Piwigo (Inglese)';
 
 $lang['Tab_UserManager'] = 'Tracciamento convalide';
@@ -195,9 +195,9 @@
 $lang['confirm_mail_bad'] = '<br><br><br>La tua chiave di attivazione non è corretto o è scaduto o è già stato convalidato il tuo account, si prega di contattare il webmaster per risolvere questo problema.<br><br><br><br>';
 /* Mailing */
-$lang['Ghost_reminder_of_%s'] = '%s, questo è un promemoria via email';
+$lang['Ghost_reminder_of_%s'] = '%s, questa è una Email di rilancio';
 $lang['Reminder_with_key_of_%s'] = '%s, la vostra chiave di convalida è stata rinnovata';
-$lang['Reminder_without_key_of_%s'] = '%s, la chiave di convalida scadrà';
-/* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Termine per la validazione di registrazione limitato" è attivo e un gruppo di utenti non convalidate è impostato in "Impostazione conferme e validazioni di registrazione".';
+$lang['Reminder_without_key_of_%s'] = '%s, la chiave di convalida sta per scadere';
+/* Errors and Warnings */
+$lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Termine per la validazione dell\'iscrizione limitato" è attivo e un gruppo di utenti non convalidate è impostato in "Impostare le conferme e validazioni dell\'iscrizione".';
 $lang['Err_GhostTracker_Settings'] = 'Questa pagina è disponibile solo se "Ghost Tracker" è attiva in "Impostazione delle registrazioni seguiti e altre opzioni".';
 $lang['Err_Userlist_Settings'] = 'Questa pagina è disponibile solo se "Controllo di utenti registrati" è attiva nella sezione "Impostazione delle registrazioni seguiti e altre opzioni".';
@@ -206,6 +206,6 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_AdminConfMail'] = 'Conferma della registrazione per gli amministratori';
-$lang['UAM_Admin_ConfMail_true'] = ' Consentire';
+$lang['UAM_AdminConfMail'] = 'Conferma dell\'iscrizione per gli amministratori';
+$lang['UAM_Admin_ConfMail_true'] = ' Attivare';
 $lang['UAM_Admin_ConfMail_false'] = ' Disattivare (di default)';
 $lang['UAM_Tips1_txt'] = '
@@ -214,7 +214,7 @@
             Obiettivi:<br>
             - Al suo arrivo presso la galleria: a informare il visitatore che si deve registrare per accedere a foto private<br>
-            - Al momento della registrazione: Genera una validazione e-mail con il link diretto, informa il nuovo utente della sua mancata convalida e integrare lo al gruppo "Attesa"<br>
+            - Al momento dell\'iscrizione: Genera una validazione Email con il link diretto, informa il nuovo utente della sua mancata convalida e integrare lo al gruppo "Attesa"<br>
             - All\'atto della convalida: Switch automaticamente gruppo "Attesa" di gruppo "Validati", che fornisce l\'accesso a categorie privato<br><br>
-            <span style="font-style:italic">Ricordo: In funzionamento standard, il "cliente" vede solo le categorie del pubblico, senza messaggio di informazione.</span>
+            <span style="font-style:italic">Nota: In funzionamento standard, il "cliente" vede solo le categorie del pubblico, senza messaggio di informazione.</span>
             </li><br><br>
             <li>
@@ -230,7 +230,7 @@
 A. In plugin NBC_UAM:
               <ol>
-                <li>Consentire la conferma della registrazione</li>
-                <li>Inserisci il testo per ulteriori spiegazioni, che sarà allegato a una mail di conferma della registrazione. Se il plugin Extended Description è attivato, i tag linguaggio può essere utilizzato</li>
-                <li>Selezionare l\'opzione "Attesa" gruppo sotto la voce "Per gli utenti che non hanno convalidato la loro registrazione"</li>
+                <li>Attivare la conferma dell\'iscrizione</li>
+                <li>Inserisci il testo per ulteriori spiegazioni, che sarà allegato a una mail di conferma dell\'iscrizione. Se il plugin Extended Description è attivato, i tag linguaggio può essere utilizzato</li>
+                <li>Selezionare l\'opzione "Attesa" gruppo sotto la voce "Per gli utenti che non hanno convalidato la loro iscrizione"</li>
                 <li>Selezionare l\'opzione "Validati" gruppo sotto la voce "Per gli utenti che hanno convalidato la loro iscrizione"</li>
                 <li>Salvare la configurazione</li>
@@ -240,5 +240,5 @@
               <ol>
                 <li>Aggiungere un nuovo tipo di modulo "block personali: mostra personale di blocco (ad esempio, un editoriale)"</li>
-                <li>Configurare il modulo, indicando il titolo (ad esempio, "in attesa di convalida Registrazione") e la sua descrizione, e selezionare solo "Attesa" nella lista dei gruppi ammessi</li>
+                <li>Configurare il modulo, indicando il titolo (ad esempio, "in attesa di convalida dell\'iscrizione") e la sua descrizione, e selezionare solo "Attesa" nella lista dei gruppi ammessi</li>
                 <li>Contenuto completo del modulo con le informazioni di messaggio da visualizzare per gli utenti non convalidato. Come NBC_UAM, linguaggi di markup possono essere utilizzati se il plugin Extended Description è abilitato</li>
                 <li>Check "visualizzare il modulo nella homepage del sito"</li>