Index: /extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm	(revision 5119)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/Frame.pm	(revision 5120)
@@ -135,5 +135,4 @@
 use Uploader::GUI::wxImageListCtrl;
 use Uploader::GUI::wxPropertyListDlg;
-use Uploader::GUI::wxHtmlWindow;
 use Uploader::GUI::wxGlobalSettings;
 use Uploader::GUI::wxImagePreview;
@@ -294,4 +293,9 @@
                 $self->imageviewer_item_refresh(0);
             }
+
+            if(!scalar @{$self->imageviewer->GetSelectedItems} and $self->dlg_piwigo_photo_properties->{_properties_notebook}->IsEnabled){
+                $self->dlg_piwigo_photo_properties->{_properties_notebook}->Enable(0);
+            }
+
 
             $self->OnUpdateToolbar;
@@ -787,5 +791,5 @@
         $self
     );
-    $self->SetMinSize([600, 500]);
+    $self->SetMinSize([600, 660]);
     $self->Center;
 }
@@ -794,5 +798,5 @@
     my ( $self ) = @_;
 
-    $self->dlg_piwigo_photo_properties->Enable(0);
+    $self->dlg_piwigo_photo_properties->{_properties_notebook}->Enable(0);
     $self->imageviewer->OnEmpty;
 }
@@ -801,5 +805,5 @@
     my ( $self ) = @_;
 
-    $self->dlg_piwigo_photo_properties->Enable(1);
+    $self->dlg_piwigo_photo_properties->{_properties_notebook}->Enable(1);
     $self->imageviewer->OnNotEmpty;
 }
@@ -1178,5 +1182,5 @@
     Wx::Event::EVT_MENU( $self, 103, \&OnUploadImages );
     Wx::Event::EVT_MENU( $self, 104, \&OnGlobalSettings );
-    Wx::Event::EVT_MENU( $self, 105, \&OnChooseLanguage );
+    #Wx::Event::EVT_MENU( $self, 105, \&OnChooseLanguage );
     Wx::Event::EVT_CHOICE( $self, 106, \&OnPhotoSelMode );
     Wx::Event::EVT_TREE_SEL_CHANGED( $self, $self->tree, \&OnTreeSelChanged );
@@ -1506,4 +1510,7 @@
     my $bc = Wx::BusyCursor->new;
     my $indx = $event->GetIndex;
+
+    $self->dlg_piwigo_photo_properties->{_properties_notebook}->Enable(1) 
+        if !$self->dlg_piwigo_photo_properties->{_properties_notebook}->IsEnabled;
     $self->_on_imageviewer_item_selected($indx);
 
@@ -1938,14 +1945,14 @@
         [
             101, 
-            gettext("Add photo to selection"), 
+            gettext("Add photo"), 
             wxTheApp->resource_path('tb_add.png'), 
             wxBITMAP_TYPE_PNG, 
             1, 
             wxTheApp->resource_path('tb_add.png'), 
-            gettext("Add photo to selection for resizing and uploading")
+            gettext("Add photo for resizing and uploading")
         ],
         [
             102, 
-            gettext("Remove photo from selection"), 
+            gettext("Remove selected photos"), 
             wxTheApp->resource_path('tb_remove.png'), 
             wxBITMAP_TYPE_PNG, 
@@ -1965,5 +1972,5 @@
         [
             104, 
-            gettext("Global settings"), 
+            gettext("Preferences"), 
             wxTheApp->resource_path('tb_settings.png'), 
             wxBITMAP_TYPE_PNG, 
@@ -1972,13 +1979,13 @@
             gettext("Change global settings.")
         ],
-        [
-            105, 
-            gettext("Language choice"), 
-            wxTheApp->resource_path('tb_i18n.png'), 
-            wxBITMAP_TYPE_PNG, 
-            1, 
-            wxTheApp->resource_path('tb_i18n.png'),
-            gettext("Language choice")
-        ],
+#        [
+#            105, 
+#            gettext("Language choice"), 
+#            wxTheApp->resource_path('tb_i18n.png'), 
+#            wxBITMAP_TYPE_PNG, 
+#            1, 
+#            wxTheApp->resource_path('tb_i18n.png'),
+#            gettext("Language choice")
+#        ],
     
     );
Index: /extensions/pLoader/trunk/src/Uploader/GUI/Layout/GlobalSettings.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/Layout/GlobalSettings.pm	(revision 5119)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/Layout/GlobalSettings.pm	(revision 5120)
@@ -465,11 +465,2 @@
 }
 
-# Menu bar functions
-
-
-# Toolbar functions
-
-use Wx qw( wxITEM_NORMAL wxITEM_RADIO wxITEM_CHECK );
-
-
-# End of generated file
Index: /extensions/pLoader/trunk/src/Uploader/GUI/Layout/PhotoPropertiesCategoriesTags.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/Layout/PhotoPropertiesCategoriesTags.pm	(revision 5119)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/Layout/PhotoPropertiesCategoriesTags.pm	(revision 5120)
@@ -56,4 +56,5 @@
         $item1 = Wx::NotebookSizer->new( $item2 );
     }
+    $parent->{_properties_notebook} = $item2;
     
     # the notebook has adaptive size : stretch factor 2, wxEXPAND