Index: extensions/nbc_HistoryIPExcluder/trunk/admin/HIPE_admin.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/admin/HIPE_admin.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/admin/HIPE_admin.php	(revision 5121)
Index: extensions/nbc_HistoryIPExcluder/trunk/admin/HIPE_admin.tpl
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/admin/HIPE_admin.tpl	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/admin/HIPE_admin.tpl	(revision 5121)
@@ -22,38 +22,38 @@
 
   <fieldset>
-  <legend>{'HIPE_admin_section2'|@translate}</legend>
+    <legend>{'HIPE_admin_section2'|@translate}</legend>
   
-  <p style="text-align:center;">
-    <input type="submit" name="HIPE_IPByMember" value="{'HIPE_IPByMember'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
-    <input type="submit" name="HIPE_OnlyGuest" value="{'HIPE_OnlyGuest'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
-  </p>
+      <p style="text-align:center;">
+        <input type="submit" name="HIPE_IPByMember" value="{'HIPE_IPByMember'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
+        <input type="submit" name="HIPE_OnlyGuest" value="{'HIPE_OnlyGuest'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
+      </p>
   
-  <p style="text-align:center;">
-    <input type="submit" name="HIPE_MemberForIp" value="{'HIPE_MemberForIp'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
-		<input type="text" name="HIPE_input" value="" size="20" style="text-align: center;" {$TAG_INPUT_ENABLED}>
-    <input type="submit" name="HIPE_IPForMember" value="{'HIPE_IPForMember'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
-  </p>
+      <p style="text-align:center;">
+        <input type="submit" name="HIPE_MemberForIp" value="{'HIPE_MemberForIp'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
+		    <input type="text" name="HIPE_input" value="" size="20" style="text-align: center;" {$TAG_INPUT_ENABLED}>
+        <input type="submit" name="HIPE_IPForMember" value="{'HIPE_IPForMember'|@translate}" class="bouton" {$TAG_INPUT_ENABLED}>
+      </p>
 
+    <fieldset>
+      <legend>{'HIPE_admin_section3'|@translate}</legend>
+	 
+      <label>{$HIPE_DESCRIPTION2}</label>
 
-  <fieldset>
-	 <legend>{'HIPE_admin_section3'|@translate}</legend>
-	 
-    <label>{$HIPE_DESCRIPTION2}</label>
+      <p style="text-align:center;">
+      <table>
+      <!-- BEGIN resultat -->
+        <tr>
+          <td>{$resultat.HIPE_RESULTAT1}</td>
+          <td>{$resultat.HIPE_RESULTAT2}</td>
+          <td>{$resultat.HIPE_RESULTAT3}</td>
+          <td>{$resultat.HIPE_RESULTAT4}</td>
+          <td>{$resultat.HIPE_RESULTAT5}</td>
+        </tr>
+      <!-- END resultat -->
+      </table>
 
-    <p style="text-align:center;">
-    <table>
-      <!-- BEGIN resultat -->
-      <tr>
-        <td>{$resultat.HIPE_RESULTAT1}</td>
-        <td>{$resultat.HIPE_RESULTAT2}</td>
-        <td>{$resultat.HIPE_RESULTAT3}</td>
-        <td>{$resultat.HIPE_RESULTAT4}</td>
-        <td>{$resultat.HIPE_RESULTAT5}</td>
-      </tr>
-      <!-- END resultat -->
-    </table>
-
+    </fieldset>
+    
   </fieldset>
-</fieldset>
 
 </form>
Index: extensions/nbc_HistoryIPExcluder/trunk/admin/index.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/admin/index.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/admin/index.php	(revision 5121)
Index: extensions/nbc_HistoryIPExcluder/trunk/index.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/index.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/index.php	(revision 5121)
Index: extensions/nbc_HistoryIPExcluder/trunk/language/en_UK/index.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/language/en_UK/index.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/language/en_UK/index.php	(revision 5121)
Index: extensions/nbc_HistoryIPExcluder/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/language/en_UK/plugin.lang.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/language/en_UK/plugin.lang.php	(revision 5121)
@@ -3,26 +3,27 @@
 
 $lang['HIPE_admin_title'] = 'NBC History IP Excluder';
-$lang['HIPE_description'] = 'As named, Ip Excluder exclude a list of IP or range of IP from the stats.<br>When activated, the IP entered in the list below will not been logged any more in the PWG history table.<br>IPlease, enter one IP per ligne.<br>Thx to Eric = original plugger of this plugin !!!<br>Nicco';
+$lang['HIPE_description'] = 'This plugin allows to exclude from the history and statistics of IP or IP ranges. <br>Its activation blocks record in the table of IP *_history specified in the table below.';
 $lang['HIPE_admin_section1'] = 'IP Exclusion';
-$lang['HIPE_admin_description1'] = 'Fill below a list of regular expressions (one per line).<br>It could be complete IP or range of IP by using "%" generic caracter.<br>Example : 74.6.1.2 or 74.6.%';
+$lang['HIPE_admin_description1'] = 'Enter the complete IP or IP ranges to exclude (one per line) in the box below. To specify an IP range, use the wildcard character "%".<br>Example : 74.6.1.2 or 74.6.%';
 $lang['HIPE_save_config']='Configuration saved.';
 $lang['HIPE_CleanHist']='Clean History';
 
-$lang['HIPE_admin_section2'] = 'Result of the historic request';
+$lang['HIPE_admin_section2'] = 'Queries on history table';
+$lang['HIPE_admin_section3'] = 'Result of the historic request';
 $lang['HIPE_IPByMember'] = 'IPs by member';
-$lang['HIPE_IPByMember_description'] = 'Show the IPs used by members, order by IP';
-$lang['HIPE_OnlyGuest'] = 'IP only guest';
-$lang['HIPE_OnlyGuest_description'] = 'Show the IPs only used by guest and the number of times it\'s found in the historic table, order by the number of times';
+$lang['HIPE_IPByMember_description'] = 'Show the IPs used by members, sorted by IP';
+$lang['HIPE_OnlyGuest'] = 'Only Guests IPs';
+$lang['HIPE_OnlyGuest_description'] = 'Show the IPs only used by Guests and the number of times it\'s found in the history table, sorted by the number of times';
 $lang['HIPE_IPnoGuest'] = '';
 $lang['HIPE_IPnoGuest_description'] = '';
 
-$lang['HIPE_IPForMember'] = 'IPs for member';
-$lang['HIPE_IPForMember_description'] = 'Show the IPs link at member, order by IP';
-$lang['HIPE_MemberForIp'] = 'Members for IP';
-$lang['HIPE_MemberForIp_description'] = 'Show the members link at IP, order by member';
+$lang['HIPE_IPForMember'] = 'IPs for a member';
+$lang['HIPE_IPForMember_description'] = 'Search and displays the IPs associated with a registered user (sorted by IP)';
+$lang['HIPE_MemberForIp'] = 'Members for one IP';
+$lang['HIPE_MemberForIp_description'] = 'Search and display users attached to one IP (sorted by name)';
 
-$lang['HIPE_resquet_ok'] = 'Request execution OK.';
-$lang['HIPE_hist_cleaned'] = 'Cleaning of the history OK.';
+$lang['HIPE_resquet_ok'] = 'Request OK.';
+$lang['HIPE_hist_cleaned'] = 'Cleaning of the history table done.';
 
-$lang['HIPE_geolocalisation'] = 'Geolocalisation';
+$lang['IP_geolocalisation'] = 'Geolocalisation';
 ?>
Index: extensions/nbc_HistoryIPExcluder/trunk/language/fr_FR/index.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/language/fr_FR/index.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/language/fr_FR/index.php	(revision 5121)
Index: extensions/nbc_HistoryIPExcluder/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/language/fr_FR/plugin.lang.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/language/fr_FR/plugin.lang.php	(revision 5121)
@@ -3,26 +3,26 @@
 
 $lang['HIPE_admin_title'] = 'NBC History IP Excluder';
-$lang['HIPE_description'] = 'Comme son nom l\'indique, ce plugin exclu des IP ou plages d\'IP de l\'historique et des statistiques.<br>En activant ce plugin, les IPs spécifiées dans le tableau ci-dessous ne seront plus enregistrées dans la table *.history de PWG.<br>Indiquez une seule IP ou plage par ligne.<br>Merci à Eric qui est à l\'origine de ce plugin !!!<br>Nicco';
-$lang['HIPE_admin_section1'] = 'Exclusion d\'IPs';
-$lang['HIPE_admin_description1'] = 'Renseignez le cadre ci-dessous avec les IPs ou plages d\'IP à exclure (une par ligne). Vous pouvez utiliser des IP complètes ou une série en utilisant le caractère joker "%".<br>Par exemple : 74.6.2.1 ou 74.6.%<br><br>';
+$lang['HIPE_description'] = 'Ce plugin permet d\'exclure de l\'historique et des statistiques des IP ou plages d\'IP.<br>Son activation bloque l\'enregistrement dans la table *_history des IP spécifiées dans le tableau ci-dessous.';
+$lang['HIPE_admin_section1'] = 'IP à exclure';
+$lang['HIPE_admin_description1'] = 'Saisissez les IP complètes ou plages d\'IP à exclure (une par ligne) dans le cadre ci-dessous. Pour indiquer une plage d\'IP, utilisez le caractère joker "%".<br>Par exemple : 74.6.2.1 ou 74.6.%<br><br>';
 $lang['HIPE_save_config']='Configuration enregistrée.';
-$lang['HIPE_CleanHist']='Nettoyer l\'histoique';
+$lang['HIPE_CleanHist']='Nettoyer l\'historique';
 
 $lang['HIPE_admin_section2'] = 'Requêtes sur l\'historique';
-$lang['HIPE_admin_section3'] = 'Resultat de la requête sur l\'historique';
-$lang['HIPE_IPByMember'] = 'IP par membre';
-$lang['HIPE_IPByMember_description'] = 'Affiche les IPs attachées à des membres, classé par IP';
-$lang['HIPE_OnlyGuest'] = 'IP seulement d\'invité';
-$lang['HIPE_OnlyGuest_description'] = 'Affiche les IPs seulement utilisées par des invités et le nombre de fois quelles apparaîssent dans la base, classé par le nombre de fois par IP';
+$lang['HIPE_admin_section3'] = 'Résultat de la requête sur l\'historique';
+$lang['HIPE_IPByMember'] = 'IP d\'utilisateurs';
+$lang['HIPE_IPByMember_description'] = 'Recherche et affiche les IP d\'utilisateurs inscrits, (tri par IP)';
+$lang['HIPE_OnlyGuest'] = 'IP d\'invités seulement';
+$lang['HIPE_OnlyGuest_description'] = 'Recherche et affiche uniquement les IP utilisées par des invités, et le nombre de visites associées (tri par nombre de visites par IP)';
 $lang['HIPE_IPnoGuest'] = '';
 $lang['HIPE_IPnoGuest_description'] = '';
 
-$lang['HIPE_IPForMember'] = 'IPs d\'un membre';
-$lang['HIPE_IPForMember_description'] = 'Affiche les IPs attachées à un membre, classé par IP';
-$lang['HIPE_MemberForIp'] = 'Membres d\'une IP';
-$lang['HIPE_MemberForIp_description'] = 'Affiche les membres attachés à une IP, classé par membre';
+$lang['HIPE_IPForMember'] = 'IP d\'un utilisateur';
+$lang['HIPE_IPForMember_description'] = 'Recherche et affiche les IP associées à un utilisateur inscrit (tri par IP)';
+$lang['HIPE_MemberForIp'] = 'Utilisateurs d\'une IP';
+$lang['HIPE_MemberForIp_description'] = 'Recherche et affiche les utilisateurs attachés à une IP (tri par utilisateur)';
 
-$lang['HIPE_resquet_ok'] = 'Execution de la requête réussie.';
-$lang['HIPE_hist_cleaned'] = 'Nettoyage de l\'historique réussie.';
+$lang['HIPE_resquet_ok'] = 'Requête exécutée.';
+$lang['HIPE_hist_cleaned'] = 'Nettoyage de l\'historique effectué.';
 
 $lang['IP_geolocalisation'] = 'Géolocalisation';
Index: extensions/nbc_HistoryIPExcluder/trunk/language/it_IT/index.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/language/it_IT/index.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/language/it_IT/index.php	(revision 5121)
Index: extensions/nbc_HistoryIPExcluder/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/language/it_IT/plugin.lang.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/language/it_IT/plugin.lang.php	(revision 5121)
@@ -3,5 +3,5 @@
 
 $lang['HIPE_admin_title'] = 'NBC History IP Excluder';
-$lang['HIPE_description'] = 'Questo plugin esclude gli indirizzi IP o intervalli d\indieizzi dalla cronologgia e dalle statistiche.<br>Attivando questo plugin, gli indirizzi IP specifici della tabella sottostante non saranno più registrati nella tabella *.history de PWG.<br>Indicate un\'solo indirizzo IP o intervallo per riga.<br>Rigrazio Eric che è all\'origine di questo plugin !!!<br>Nicco';
+$lang['HIPE_description'] = 'Questo plugin permette di escludere dalla storia e le statistiche di IP o intervalli di indirizzi IP.<br> il suo record di attivazione blocchi nella tabella di IP *_history specificato nella tabella sottostante.';
 $lang['HIPE_admin_section1'] = 'Esclusione d\'IP';
 $lang['HIPE_admin_description1'] = 'Riempite le tabella sottostante con gli indirizzi IP o intervalli da escludere (uno per riga). Potete usare degli IP completi o una serie usando il carattere jolly "%".<br>Per esempio : 74.6.2.1 o 74.6.%<br><br>';
Index: extensions/nbc_HistoryIPExcluder/trunk/main.inc.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/main.inc.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/main.inc.php	(revision 5121)
@@ -13,5 +13,4 @@
 if (!defined('HIPE_DIR')) define('HIPE_DIR' , basename(dirname(__FILE__)));
 if (!defined('HIPE_PATH')) define('HIPE_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-//define('NBC_HISTORYIPEXCLUDER_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
 load_language('plugin.lang', HIPE_PATH);
@@ -64,4 +63,3 @@
   }
 }
-
 ?>
Index: extensions/nbc_HistoryIPExcluder/trunk/maintain.inc.php
===================================================================
--- extensions/nbc_HistoryIPExcluder/trunk/maintain.inc.php	(revision 5119)
+++ extensions/nbc_HistoryIPExcluder/trunk/maintain.inc.php	(revision 5121)
@@ -9,5 +9,5 @@
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-VALUES ("nbc_HistoryIPExcluder","'.addslashes(serialize($default)).'","Parametres nbc History IP Excluder");
+VALUES ("nbc_HistoryIPExcluder","","Parametres nbc History IP Excluder");
 ';
       
@@ -15,18 +15,4 @@
 }
 
-function plugin_activate()
-{
-  global $conf;
-
-/* Serializing conf parameters */
-/* *************************** */
-  if (unserialize($conf['nbc_HistoryIPExcluder']) === false)
-  {
-  /* upgrade from branch old version to 2.0.0 */
-  /* **************************************** */
-    upgrade_200();
-  }
-  
-}
 
 function plugin_uninstall()
@@ -45,22 +31,3 @@
 }
 
-/* upgrade from old version to 2.0.0 */
-/* ********************************* */
-function upgrade_200()
-{
-	global $conf;
-  
-  if (unserialize($conf['nbc_HistoryIPExcluder']) === false)
-  {
-    $data = explode(',', $conf['nbc_HistoryIPExcluder']);
-
-    $query = '
-UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($data)).'"
-  WHERE param = "nbc_HistoryIPExcluder"
-;';
-    pwg_query($query);
-  }
-}
-
 ?>